1

How can I fix this issue?

user@server:/var/lib/dpkg/info$ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages have been kept back:
  landscape-common mysql-client-5.5 mysql-server-5.5 mysql-server-core-5.5 nginx nginx-common nginx-full
The following packages will be upgraded:
  procps udev
2 upgraded, 0 newly installed, 0 to remove and 7 not upgraded.
14 not fully installed or removed.
Need to get 552 kB of archives.
After this operation, 1,024 B of additional disk space will be used.
Do you want to continue [Y/n]? Y
Get:1 http://nl.archive.ubuntu.com/ubuntu/ precise-updates/main procps amd64 1:3.2.8-11ubuntu6.4 [233 kB]
Get:2 http://nl.archive.ubuntu.com/ubuntu/ precise-updates/main udev amd64 175-0ubuntu9.9 [319 kB]
Fetched 552 kB in 2s (247 kB/s)
Setting up procps (1:3.2.8-11ubuntu6.3) ...
start: Job failed to start
invoke-rc.d: initscript procps, action "start" failed.
dpkg: error processing procps (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of udev:
 udev depends on procps; however:
  Package procps is not configured yet.
dpkg: error processing udev (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of dmsetup:
 dmsetup depends on udev (>> 141-2); however:
  Package udev is not configured yet.
dpkg: error processing dmsetup (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of plymouth:
 plymouth depends on udev (>= 166-0ubuntu4); however:
  Package udev is not configured yet.
dpkg: error processing plymouth (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of mountall:
 mountall depends on udev; however:
  Package udev is not configured yet.
 mountall depends on plymouth; however:
  Package plymouth is not configured yet.
dpkg: error processing mountall (--configure):
 dependency problems - leaving unconfiguredNo apport report written because the error message indicates its a followup error from a previous failure.
                                                                                                                                                     No apport report written because the error message indicates its a followup error from a previous failure.
                                                                   No apport report written because MaxReports is reached already
                                                                                                                                 No apport report written because MaxReports is reached already
   No apport report written because MaxReports is reached already
                                                                 No apport report written because MaxReports is reached already
                                                                                                                               No apport report written because MaxReports is reached already
 No apport report written because MaxReports is reached already
                                                               No apport report written because MaxReports is reached already
                                                                                                                             No apport report written because MaxReports is reached already
                                                                                                                                                                                           No apport report written because MaxReports is reached already
                                                             No apport report written because MaxReports is reached already
                                                                                                                           No apport report written because MaxReports is reached already

dpkg: dependency problems prevent configuration of plymouth-theme-ubuntu-text:
 plymouth-theme-ubuntu-text depends on plymouth; however:
  Package plymouth is not configured yet.
dpkg: error processing plymouth-theme-ubuntu-text (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of ppp:
 ppp depends on procps; however:
  Package procps is not configured yet.
dpkg: error processing ppp (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libdevmapper1.02.1:
 libdevmapper1.02.1 depends on dmsetup (>= 2:1.02.48-4ubuntu7.4); however:
  Package dmsetup is not configured yet.
dpkg: error processing libdevmapper1.02.1 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libparted0debian1:
 libparted0debian1 depends on libdevmapper1.02.1 (>= 2:1.02.36); however:
  Package libdevmapper1.02.1 is not configured yet.
dpkg: error processing libparted0debian1 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of parted:
 parted depends on libparted0debian1 (>= 2.2-1); however:
  Package libparted0debian1 is not configured yet.
dpkg: error processing parted (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of grub-common:
 grub-common depends on libdevmapper1.02.1 (>= 2:1.02.36); however:
  Package libdevmapper1.02.1 is not configured yet.
dpkg: error processing grub-common (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of grub2-common:
 grub2-common depends on grub-common (= 1.99-21ubuntu3.17); however:
  Package grub-common is not configured yet.
dpkg: error processing grub2-common (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of grub-pc-bin:
 grub-pc-bin depends on libdevmapper1.02.1 (>= 2:1.02.36); however:
  Package libdevmapper1.02.1 is not configured yet.
 grub-pc-bin depends on grub-common (= 1.99-21ubuntu3.17); however:
  Package grub-common is not configured yet.
dpkg: error processing grub-pc-bin (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of grub-pc:
 grub-pc depends on grub-common; however:
  Package grub-common is not configured yet.
 grub-pc depends on grub2-common (= 1.99-21ubuntu3.17); however:
  Package grub2-common is not configured yet.
 grub-pc depends on grub-pc-bin (= 1.99-21ubuntu3.17); however:
  Package grub-pc-bin is not configured yet.
dpkg: error processing grub-pc (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 procps
 udev
 dmsetup
 plymouth
 mountall
 plymouth-theme-ubuntu-text
 ppp
 libdevmapper1.02.1
 libparted0debian1
 parted
 grub-common
 grub2-common
 grub-pc-bin
 grub-pc
E: Sub-process /usr/bin/dpkg returned an error code (1)
user@enn:/var/lib/dpkg/info$ sudo dpkg --remove --force-remove-reinstreq procps
dpkg: dependency problems prevent removal of procps:
 ubuntu-minimal depends on procps.
dpkg: error processing procps (--remove):
 dependency problems - not removing
Errors were encountered while processing:
 procps

I tried these commands. No one helped me.

apt-get update
apt-get install -f
apt-get autoremove -f
dpkg-reconfigure -a
dpkg --remove --force-remove-reinstreq procps
  • you're running ubuntu server? are you trying to remove an essential package? disk space is ok? maxreports seems to not be working... – Thufir Feb 16 '16 at 12:02

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Browse other questions tagged or ask your own question.